<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('nominee_name')->nullable()->after('name');
            $table->string('nominee_phone')->nullable()->after('nominee_name');
            $table->string('nominee_relation')->nullable()->after('nominee_phone');
        });
    }

    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'nominee_name',
                'nominee_phone',
                'nominee_relation'
            ]);
        });
    }
};